# Revision 1.1  06 november 2008 by Philippe Corbes (philippe.corbes@logibag.com)
#      Optimized this file for cross compilation:
#      Added LD_LIBRARY_PATH to force linking
#      Added AR, AS, CC, CPP, CXX, LD, NM, OBJDUMP, RANLIB, STRIP for cross compilation
#      Optimized all "config-opts" to disable X11 usage
# Revision 1.0  17 october 2008 by Philippe Corbes (philippe.corbes@logibag.com)
#      Added patchs informations to be able to download, unzip and patch
#      Synchronized download addresses with mozilla website
Pkg_info = [
    {
      "name": "jpeg-6b",
      "download": "ftp://ftp.gtk.org/pub/gtk/v2.10/dependencies/jpegsrc.v6b.tar.gz",
      "config-opts": "--enable-shared --disable-static --without-libjasper",
    },
    {
      "name": "tiff-3.7.4",
      "download": "ftp://ftp.gtk.org/pub/gtk/v2.10/dependencies/tiff-3.7.4.tar.gz",
      "config-opts": "--enable-shared --disable-static --without-x",
    },
    {
      "name": "zlib-1.2.3",
      "download": "http://internap.dl.sourceforge.net/sourceforge/libpng/zlib-1.2.3.tar.gz",
      "config-opts": "--shared",
    },
    {
      "name": "libpng-1.2.29",
      "download": "http://internap.dl.sourceforge.net/sourceforge/libpng/libpng-1.2.29.tar.bz2",
      "config-opts": "--enable-shared --disable-static",
    },
    {
      "name": "pkg-config-0.22",
      "download": "http://pkgconfig.freedesktop.org/releases/pkg-config-0.22.tar.gz",
      "config-opts": "--enable-shared --disable-static",
    },
    {
      "name": "gettext-0.17",
      "download": "http://ftp.gnu.org/gnu/gettext/gettext-0.17.tar.gz",
      "config-opts": "--enable-shared --disable-static"
    },
    {
      "name": "glib-2.16.3",
      "download": "http://ftp.gnome.org/pub/gnome/sources/glib/2.16/glib-2.16.3.tar.bz2",
      "config-opts": "--enable-shared --disable-static --disable-fam --disable-selinux --disable-xattr --disable-gtk-doc --disable-man",
    },
    {
      "name": "atk-1.13.2",
      "download": "http://ftp.gnome.org/pub/gnome/sources/atk/1.13/atk-1.13.2.tar.bz2",
      "config-opts": "--enable-shared --disable-static",
    },
    {
      "name": "freetype-2.3.5",
      "download": "http://internap.dl.sourceforge.net/sourceforge/freetype/freetype-2.3.5.tar.bz2",
      "config-opts": "--enable-shared --disable-static --without-x --enable-directfb --disable-xlib --disable-win32",
    },
    {
      "name": "DirectFB-1.2.0",
      "download": "http://www.directfb.org/downloads/Old/DirectFB-1.2.0.tar.gz",
      "config-opts": "--enable-sdl --disable-x11 --with-inputdrivers=keyboard,ps2mouse --with-gfxdrivers=none --without-tools",
    },
    {
      "name": "expat-2.0.1",
      "download": "http://internap.dl.sourceforge.net/sourceforge/expat/expat-2.0.1.tar.gz",
      "config-opts": "--enable-shared --disable-static",
    },
    {
      "name": "fontconfig-2.4.91",
      "download": "http://www.fontconfig.org/release/fontconfig-2.4.91.tar.gz",
      "config-opts": "--enable-shared --disable-static",
    },
    {
      "name": "pixman-0.12.0",
      "download": "http://www.cairographics.org/releases/pixman-0.12.0.tar.gz",
#      "config-opts": "--enable-shared --disable-static --disable-gtk"
      "config-opts": "--enable-shared --disable-static",
      "export": {
         "LDFLAGS": "-L${install_prefix}/lib -lglib-2.0",
      },
    },
    {
      "name": "cairo-1.6.4",
      "download": "http://www.cairographics.org/releases/cairo-1.6.4.tar.gz",
      "patches": [
        {
         "patch": "001-cairo_dfb-run-clipped-function.patch",
         "url":   "http://wiki.mozilla.org/images/2/2a/001-cairo_dfb-run-clipped-function.zip",
        },
        {
         "patch": "002-cairo_dfb-dest-image-clip.patch",
         "url":   "http://wiki.mozilla.org/images/a/aa/002-cairo_dfb-dest-image-clip.zip",
        },
        {
         "patch": "003-cairo_dfb-zero-box-clip-fix.patch",
         "url":   "http://wiki.mozilla.org/images/5/5d/003-cairo_dfb-zero-box-clip-fix.zip",
        },
        {
         "patch": "004-cairo-blit-optimization.patch",
         "url":   "http://wiki.mozilla.org/images/e/e4/004-cairo-blit-optimization.patch.zip",
        },
        {
         "patch": "005-cairo-font-crash-fix.patch",
         "url":   "http://wiki.mozilla.org/images/3/3c/005-cairo-font-crash-fix.patch.zip",
        }
      ],
      "config-opts": "--enable-shared --disable-static --without-x --enable-xlib=no --enable-xlib-xrender=no --enable-xcb=no --enable-quartz=no --enable-quartz-font=no --enable-quartz-image=no --enable-win32=no --enable-win32-font=no --enable-os2=no --enable-beos=no --enable-png=yes --enable-glitz=no --enable-directfb=yes --enable-freetype=yes --enable-ps=yes --enable-pdf=yes --enable-svg=no --disable-gtk-doc --disable-gcov --disable-test-surfaces",
    },
    {
      "name": "pango-1.20.2",
      "download": "http://ftp.gnome.org/pub/gnome/sources/pango/1.20/pango-1.20.2.tar.bz2",
      "config-opts": "--enable-shared --disable-static --enable-cairo --without-x --disable-xlib --disable-win32 --enable-debug=no"
    },
    {
      "name": "gtk+-2.12.9",
      "download": "http://ftp.gnome.org/pub/gnome/sources/gtk+/2.12/gtk+-2.12.9.tar.bz2",
      "patches": [
        {
         "patch": "001-gtk+-2.12.9-dok4.patch",
         "url": "http://wiki.mozilla.org/images/c/c4/001-gtk+-2.12.9-dok4.zip",
        },
        {
         "patch": "002-gtk+-2.12.9-gdkkeys_fix.patch",
         "url": "http://wiki.mozilla.org/images/3/3e/002-gtk+-2.12.9-gdkkeys_fix.zip",
        },
        {
         "patch": "003-gtk+-2.12.9-dok-scroll-experimental.patch",
         "url": "http://wiki.mozilla.org/images/2/2b/003-gtk+-2.12.9-dok-scroll-experimental.patch.zip",
        },
        {
         "patch": "004-gtk+-2.12.9-dok-visual-fix.patch",
         "url": "http://wiki.mozilla.org/images/c/cb/004-gtk+-2.12.9-dok-visual-fix.patch.zip",
        },
        {
         "patch": "005-gtk+-2.12.9-dok-event-block-fix.patch",
         "url": "http://wiki.mozilla.org/images/a/ac/005-gtk+-2.12.9-dok-event-block-fix.patch.zip",
        },
        {
         "patch": "006-gtk+-2.12.9-dok-set-default-display-fix.patch",
         "url": "http://wiki.mozilla.org/images/c/c0/006-gtk+-2.12.9-dok-set-default-display-fix.patch.zip",
        },
        {
         "patch": "007-gtk+-2.12.9-dok-set-focus-fixes.patch",
         "url": "http://wiki.mozilla.org/images/4/40/007-gtk+-2.12.9-dok-set-focus-fixes.patch.zip",
        }
      ],
      "export": {
         "LDFLAGS": "-L${install_prefix}/lib -ldirect -ldirectfb -lfusion -lpixman-1",
      },
      "config-opts": "--enable-shared --disable-static --enable-debug=no --enable-shm --disable-xkb --disable-xinerama  --disable-glibtest --disable-cups --disable-test-print-backend --disable-gtk-doc --disable-man --with-xinput=no  --with-gdktarget=directfb --with-libpng --with-libjpeg --with-libtiff --without-x",
    },
    {
      "name": "libIDL-0.8.5",
      "download": "http://ftp.gnome.org/pub/gnome/sources/libIDL/0.8/libIDL-0.8.5.tar.bz2",
      "config-opts": "--enable-shared --disable-static",
    }
];

Env_kvp = {

    "PATH":     "${install_prefix}/bin",
    "LD_LIBRARY_PATH": "${install_prefix}/lib:${target_root}/usr/lib",
    "CFLAGS":   "-I${install_prefix}/include -I${target_root}/include -I${target_root}/usr/include",
    "CPPFLAGS": "-I${install_prefix}/include -I${target_root}/usr/include -I${target_root}/include",
    "LDFLAGS":  "-L${target_root}/lib -L${target_root}/usr/lib",

    "PKG_CONFIG_PATH": "${install_prefix}/lib/pkgconfig",

    "AR":       "${tools_prefix}ar",
    "AS":       "${tools_prefix}as",
    "CC":       "${tools_prefix}gcc",
    "CPP":      "${tools_prefix}gcc -E",
    "CXX":      "${tools_prefix}g++",
    "LD":       "${tools_prefix}ld",
    "NM":       "${tools_prefix}nm",
    "OBJDUMP":  "${tools_prefix}objdump",
    "RANLIB":   "${tools_prefix}ranlib",
    "STRIP":    "${tools_prefix}strip",

};
